Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class LabelRetargetAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.actions.PartEventAction
              org.eclipse.ui.actions.RetargetAction
                  org.eclipse.ui.actions.LabelRetargetAction

All Implemented Interfaces:
  ActionFactory.IWorkbenchAction, IAction, IPartListener

public class LabelRetargetAction
extends RetargetAction

A `LabelRetargetAction` extends the behavior of RetargetAction. It will track the enable state, label, and tool tip text of the target action..

This class may be instantiated. It is not intented to be subclassed.

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`LabelRetargetAction(String actionID, String text)` Constructs a LabelRetargetAction with the given action id and text.
`LabelRetargetAction(String actionID, String text, int style)` Constructs a RetargetAction with the given action id, text and style.

Method Summary
`protected void` | `propagateChange(PropertyChangeEvent event)` The action handler has changed.
`protected void` | `setActionHandler(IAction handler)` Sets the action handler.
`void` | `setDisabledImageDescriptor(ImageDescriptor image)` Sets the disabled image for this action, as an image descriptor.
`void` | `setHoverImageDescriptor(ImageDescriptor image)` Sets the hover image for this action, as an image descriptor.
`void` | `setImageDescriptor(ImageDescriptor image)` Sets the image for this action, as an image descriptor.
`void` | `setText(String text)` Sets the action's label text to the given value.
`void` | `setToolTipText(String text)` Sets the tooltip text to the given text.

Methods inherited from class org.eclipse.ui.actions.RetargetAction
`dispose, enableAccelerator, getAccelerator, getActionHandler, partActivated, partClosed, partDeactivated, run, runWithEvent, setChecked, setHelpListener`

Methods inherited from class org.eclipse.ui.actions.PartEventAction
`getActivePart, partBroughtToTop, partOpened`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setDescription, setEnabled, setId, setMenuCreator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setDescription, setEnabled, setId, setMenuCreator`

Constructor Detail

### LabelRetargetAction

    public LabelRetargetAction(String actionID,
                               String text)

  Constructs a LabelRetargetAction with the given action id and text.

Parameters:
  `actionID` - the retargetable action id
  `text` - the action's text, or `null` if there is no text

### LabelRetargetAction

    public LabelRetargetAction(String actionID,
                               String text,
                               int style)

  Constructs a RetargetAction with the given action id, text and style.

Parameters:
  `actionID` - the retargetable action id
  `text` - the action's text, or `null` if there is no text
  `style` - one of `AS_PUSH_BUTTON`, `AS_CHECK_BOX`, `AS_DROP_DOWN_MENU`, `AS_RADIO_BUTTON`, and `AS_UNSPECIFIED`.
Since:
  3.0

Method Detail

### propagateChange

    protected void propagateChange(PropertyChangeEvent event)

  The action handler has changed. Update self.

  Overrides:
    `propagateChange` in class `RetargetAction`

### setActionHandler

    protected void setActionHandler(IAction handler)

  Sets the action handler. Update self.

  Overrides:
    `setActionHandler` in class `RetargetAction`

### setDisabledImageDescriptor

    public void setDisabledImageDescriptor(ImageDescriptor image)

  Description copied from interface: `IAction`
  Sets the disabled image for this action, as an image descriptor.

  Disabled images will be used on platforms that support changing the image when the item is disabled.Fires a property change event for the `IMAGE` property if the image actually changes as a consequence.

  Specified by:
    `setDisabledImageDescriptor` in interface `IAction`
  Overrides:
    `setDisabledImageDescriptor` in class `Action`

### setHoverImageDescriptor

    public void setHoverImageDescriptor(ImageDescriptor image)

  Description copied from interface: `IAction`
  Sets the hover image for this action, as an image descriptor.

  Hover images will be used on platforms that support changing the image when the user hovers over the item.Fires a property change event for the `IMAGE` property if the image actually changes as a consequence.

  Specified by:
    `setHoverImageDescriptor` in interface `IAction`
  Overrides:
    `setHoverImageDescriptor` in class `Action`

### setImageDescriptor

    public void setImageDescriptor(ImageDescriptor image)

  Description copied from interface: `IAction`
  Sets the image for this action, as an image descriptor.

  Fires a property change event for the `IMAGE` property if the image actually changes as a consequence.

  Specified by:
    `setImageDescriptor` in interface `IAction`
  Overrides:
    `setImageDescriptor` in class `Action`

### setText

    public void setText(String text)

  Sets the action's label text to the given value.

  Specified by:
    `setText` in interface `IAction`
  Overrides:
    `setText` in class `Action`
  Parameters:
    `text` - the text, or `null` if none

### setToolTipText

    public void setToolTipText(String text)

  Sets the tooltip text to the given text. The value `null` clears the tooltip text.

  Specified by:
    `setToolTipText` in interface `IAction`
  Overrides:
    `setToolTipText` in class `Action`
  Parameters:
    `text` - the tool tip text, or `null` if none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.